package common.service;

import common.model.Contract;
import common.model.User;
import offline.model.TrackFlowVO;
import org.joda.time.DateTime;

import java.util.List;

public interface ShareIncomeService {

    List<Contract> shareIncomeList(User loginAccount, String startDate, String endDate, String platform, String bodyCode, String serchName);

    boolean checkLateContract(DateTime dateTime, DateTime creatTime);

    List<TrackFlowVO>  trialFlow(User loginAccount, String startDate, String endDate, String platform, String email);
}
